%%% File    : base.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Purpose : base example
%%% Created : 27 Dec 2000 by Tony Rogvall <tony@bit.hemma.se>

-module(base).
-author('tony@bit.hemma.se').

-compile(export_all).

%% example-start base base.c

-include("../include/gtk.hrl").

run() ->
    gtk:start(),
    spawn_link(?MODULE, main, []).

main( ) ->
    Window = gtk:window_new ('GTK_WINDOW_TOPLEVEL'),
    gtk:widget_show  (Window),
    gtk:main ().

%% example-end 
