%%% File    : gdk_imlib.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Description : GdkImLib support
%%% Created : 26 Aug 2001 by Tony Rogvall <tony@bit.hemma.se>

-module(gdk_imlib).

-compile(export_all).

%% Wrapper for gdk calls
fcall(Mod, Fun, Args) ->
    gtk:fcall(Mod, Fun, Args).

fnew(Mod, Fun, Args) ->
    gtk:fnew(Mod, Fun, Args).

%% Enum wrapper
enum(Type, Enum) ->
    gtk:enum(Type, Enum).

flags(Type, Enum) ->
    gtk:flags(Type, Enum).

-include("../priv/src/gdk_imlib.inc").

