
-ifdef(debug).
-define(Debug(Fmt,Args),
	io:format("~s:~w : " ++ (Fmt) ++ "\n", [?MODULE,?LINE | (Args)])).
-else.
-define(Debug(Fmt,Args), ok).
-endif.



-record(http_request,
	{
	  method,
	  uri,
	  version,
	  headers
	 }).

-record(http_response,
	{
	  version,
	  status,
	  message,
	  headers
	 }).
