/*
 * utility function for setting/getting points from
 * GnomeCanvasPoints
 */

#include <gnome.h>

void gdrv_gnome_canvas_set_point(GnomeCanvasPoints* points, 
			    int index, double x, double y)
{
    if (index < points->num_points) {
	points->coords[index*2] = x;
	points->coords[index*2+1] = y;
    }
}

void gdrv_gnome_canvas_get_point(GnomeCanvasPoints* points, 
				 int index, double* x, double* y)
{
    if (index < points->num_points) {
	*x = points->coords[index*2];
	*y = points->coords[index*2+1];
    }
}
