-ifndef(GDK_IMLIB_HRL).
-define(GDK_IMLIB_HRL, true).


-include_lib("erlgtk/include/libgdk_imlib.hrl").

-define(PARAMS_VISUALID,       1 bsl 0).
-define(PARAMS_PALETTEFILE,    1 bsl 1).
-define(PARAMS_SHAREDMEM,      1 bsl 2).
-define(PARAMS_SHAREDPIXMAPS,  1 bsl 3).
-define(PARAMS_PALETTEOVERRIDE,1 bsl 4).
-define(PARAMS_REMAP,          1 bsl 5).
-define(PARAMS_FASTRENDER,     1 bsl 6).
-define(PARAMS_HIQUALITY,      1 bsl 7).
-define(PARAMS_DITHER,         1 bsl 8).
-define(PARAMS_IMAGECACHESIZE, 1 bsl 9).
-define(PARAMS_PIXMAPCACHESIZE,1 bsl 10).

-define( PAGE_SIZE_EXECUTIVE,    0).
-define( PAGE_SIZE_LETTER,       1).
-define( PAGE_SIZE_LEGAL,        2).
-define( PAGE_SIZE_A4,           3).
-define( PAGE_SIZE_A3,           4).
-define( PAGE_SIZE_A5,           5).
-define( PAGE_SIZE_FOLIO,        6).

-define( RT_PLAIN_PALETTE,       0).
-define( RT_PLAIN_PALETTE_FAST,  1).
-define( RT_DITHER_PALETTE,      2).
-define( RT_DITHER_PALETTE_FAST, 3).
-define( RT_PLAIN_TRUECOL,       4).
%% a special high-quality renderer for people with 15 and 16bpp that dithers 
-define( RT_DITHER_TRUECOL,      5).

-endif.
