%%% File    : gnome.hrl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Description : GNOME definitions
%%% Created : 11 Apr 2001 by Tony Rogvall <tony@bit.hemma.se>


%% Buttons
-define(GNOME_STOCK_BUTTON_OK,     "Button_Ok").
-define(GNOME_STOCK_BUTTON_CANCEL, "Button_Cancel").
-define(GNOME_STOCK_BUTTON_YES,    "Button_Yes").
-define(GNOME_STOCK_BUTTON_NO,     "Button_No").
-define(GNOME_STOCK_BUTTON_CLOSE,  "Button_Close").
-define(GNOME_STOCK_BUTTON_APPLY,  "Button_Apply").
-define(GNOME_STOCK_BUTTON_HELP,   "Button_Help").
-define(GNOME_STOCK_BUTTON_NEXT,   "Button_Next").
-define(GNOME_STOCK_BUTTON_PREV,   "Button_Prev").
-define(GNOME_STOCK_BUTTON_UP,     "Button_Up").
-define(GNOME_STOCK_BUTTON_DOWN,   "Button_Down").
-define(GNOME_STOCK_BUTTON_FONT,   "Button_Font").

%% Menus
-define(GNOME_STOCK_MENU_BLANK,        "Menu_").
-define(GNOME_STOCK_MENU_NEW,          "Menu_New").
-define(GNOME_STOCK_MENU_SAVE,         "Menu_Save").
-define(GNOME_STOCK_MENU_SAVE_AS,      "Menu_Save As").
-define(GNOME_STOCK_MENU_REVERT,       "Menu_Revert").
-define(GNOME_STOCK_MENU_OPEN,         "Menu_Open").
-define(GNOME_STOCK_MENU_CLOSE,        "Menu_Close").
-define(GNOME_STOCK_MENU_QUIT,         "Menu_Quit").
-define(GNOME_STOCK_MENU_CUT,          "Menu_Cut").
-define(GNOME_STOCK_MENU_COPY,         "Menu_Copy").
-define(GNOME_STOCK_MENU_PASTE,        "Menu_Paste").
-define(GNOME_STOCK_MENU_PROP,         "Menu_Properties").
-define(GNOME_STOCK_MENU_PREF,         "Menu_Preferences").
-define(GNOME_STOCK_MENU_ABOUT,        "Menu_About").
-define(GNOME_STOCK_MENU_SCORES,       "Menu_Scores").
-define(GNOME_STOCK_MENU_UNDO,         "Menu_Undo").
-define(GNOME_STOCK_MENU_REDO,         "Menu_Redo").
-define(GNOME_STOCK_MENU_PRINT,        "Menu_Print").
-define(GNOME_STOCK_MENU_SEARCH,       "Menu_Search").
-define(GNOME_STOCK_MENU_SRCHRPL,      "Menu_Search/Replace").
-define(GNOME_STOCK_MENU_BACK,         "Menu_Back").
-define(GNOME_STOCK_MENU_FORWARD,      "Menu_Forward").
-define(GNOME_STOCK_MENU_FIRST,        "Menu_First").
-define(GNOME_STOCK_MENU_LAST,         "Menu_Last").
-define(GNOME_STOCK_MENU_HOME,         "Menu_Home").
-define(GNOME_STOCK_MENU_STOP,         "Menu_Stop").
-define(GNOME_STOCK_MENU_REFRESH,      "Menu_Refresh").
-define(GNOME_STOCK_MENU_MAIL,         "Menu_Mail").
-define(GNOME_STOCK_MENU_MAIL_RCV,     "Menu_Receive Mail").
-define(GNOME_STOCK_MENU_MAIL_SND,     "Menu_Send Mail").
-define(GNOME_STOCK_MENU_MAIL_RPL,     "Menu_Reply to Mail").
-define(GNOME_STOCK_MENU_MAIL_FWD,     "Menu_Forward Mail").
-define(GNOME_STOCK_MENU_MAIL_NEW,     "Menu_New Mail").
-define(GNOME_STOCK_MENU_TRASH,        "Menu_Trash").
-define(GNOME_STOCK_MENU_TRASH_FULL,   "Menu_Trash Full").
-define(GNOME_STOCK_MENU_UNDELETE,     "Menu_Undelete").
-define(GNOME_STOCK_MENU_TIMER,        "Menu_Timer").
-define(GNOME_STOCK_MENU_TIMER_STOP,   "Menu_Timer Stopped").
-define(GNOME_STOCK_MENU_SPELLCHECK,   "Menu_Spellchecker").
-define(GNOME_STOCK_MENU_MIC,          "Menu_Microphone").
-define(GNOME_STOCK_MENU_LINE_IN,      "Menu_Line In").
-define(GNOME_STOCK_MENU_CDROM,        "Menu_Cdrom").
-define(GNOME_STOCK_MENU_VOLUME,       "Menu_Volume").
-define(GNOME_STOCK_MENU_MIDI,         "Menu_Midi").
-define(GNOME_STOCK_MENU_BOOK_RED,     "Menu_Book Red").
-define(GNOME_STOCK_MENU_BOOK_GREEN,   "Menu_Book Green").
-define(GNOME_STOCK_MENU_BOOK_BLUE,    "Menu_Book Blue").
-define(GNOME_STOCK_MENU_BOOK_YELLOW,  "Menu_Book Yellow").
-define(GNOME_STOCK_MENU_BOOK_OPEN,    "Menu_Book Open").
-define(GNOME_STOCK_MENU_CONVERT,      "Menu_Convert").
-define(GNOME_STOCK_MENU_JUMP_TO,      "Menu_Jump To").
-define(GNOME_STOCK_MENU_UP,           "Menu_Up").
-define(GNOME_STOCK_MENU_DOWN,         "Menu_Down").
-define(GNOME_STOCK_MENU_TOP,          "Menu_Top").
-define(GNOME_STOCK_MENU_BOTTOM,       "Menu_Bottom").
-define(GNOME_STOCK_MENU_ATTACH,       "Menu_Attach").
-define(GNOME_STOCK_MENU_INDEX,        "Menu_Index").
-define(GNOME_STOCK_MENU_FONT,         "Menu_Font").
-define(GNOME_STOCK_MENU_EXEC,         "Menu_Exec").

-define(GNOME_STOCK_MENU_ALIGN_LEFT,     "Menu_Left").
-define(GNOME_STOCK_MENU_ALIGN_RIGHT,    "Menu_Right").
-define(GNOME_STOCK_MENU_ALIGN_CENTER,   "Menu_Center").
-define(GNOME_STOCK_MENU_ALIGN_JUSTIFY,  "Menu_Justify").

-define(GNOME_STOCK_MENU_TEXT_BOLD,      "Menu_Bold").
-define(GNOME_STOCK_MENU_TEXT_ITALIC,    "Menu_Italic").
-define(GNOME_STOCK_MENU_TEXT_UNDERLINE, "Menu_Underline").
-define(GNOME_STOCK_MENU_TEXT_STRIKEOUT, "Menu_Strikeout").

-define(GNOME_STOCK_MENU_EXIT,     ?GNOME_STOCK_MENU_QUIT).



