/*
**
*/
#ifndef __E_MESG_H__
#define __E_MESG_H__

#include <glib.h>
#include "gtk_drv_api.h"

#define GET_INT8(p)  ((p)[0])
#define GET_INT16(p) (((p)[0]<<8) | (p)[1])
#define GET_INT24(p) (((p)[0]<<16) | ((p)[1]<<8) | (p)[2])
#define GET_INT32(p) (((p)[0]<<24) | ((p)[1]<<16) | ((p)[2]<<8) | (p)[3])

#define PUT_INT8(p, x) ((p)[0] = (x))

#define PUT_INT16(p, x) (((p)[0] = ((x) >> 8) & 0xff), \
			 ((p)[1] = (x) & 0xff))

#define PUT_INT24(p, x) (((p)[0] = ((x) >> 16) & 0xff), \
			 ((p)[1] = ((x) >> 8) & 0xff), \
			 ((p)[2] = (x) & 0xff))

#define PUT_INT32(p, x) (((p)[0] = ((x) >> 24) & 0xff), \
			 ((p)[1] = ((x) >> 16) & 0xff), \
			 ((p)[2] = ((x) >> 8) & 0xff), \
			 ((p)[3] = (x) & 0xff))



#endif


