%%% File    : all.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Purpose : all examples
%%% Created : 29 Nov 2000 by Tony Rogvall <tony@bit.hemma.se>

-module(all).
-author('tony@bit.hemma.se').

-compile(export_all).

xrun() ->
    event:run().

run() ->
    helloworld:run(),
    io:format("HELLOWORLD\n"),
    helloworld2:run(),
    io:format("HELLOWORLD2\n"),
    packbox:run(),
    io:format("PACKBOX\n"),
    table:run(),
    io:format("TABLE\n"),
    buttons:run(),
    io:format("BUTTONS\n"),
    rangewidgets:run(),
    io:format("RANGEWIDGETS\n"),
    progressbar:run(),
    io:format("PROGRESSBAR\n"),
    label:run(),
    io:format("LABEL\n"),
    arrow:run(),
    io:format("ARROW\n"),
    pixmap:run(),
    io:format("PIXMAP\n"),
    clist:run(),
    io:format("CLIST\n"),
    entry:run(),
    io:format("ENTRY\n"),
    aspectframe:run(),
    io:format("ASPECTFRAME\n"),
    notebook:run(),
    io:format("NOTEBOOK\n"),
    scrolledwin:run(),
    io:format("SCROLLEDWIN\n"),
    statusbar:run(),
    io:format("STATUSBAR\n"),
    %% paned:run(), io:format("PANED\n"),
    %% text:run(),  io:format("TEXT\n"),
    %% non standard
    re_entry:run(),
    io:format("RE_ENTRY\n"),
    ip_test:run(),
    io:format("IP_TEST\n"),
    button_swap:run(),
    io:format("BUTTON_SWAP\n"),
    true.


