%%% File    : gnome_buttons.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Purpose : gnome base example
%%% Created : 27 Dec 2000 by Tony Rogvall <tony@bit.hemma.se>

-module(gnome_buttons).
-author('tony@bit.hemma.se').

-compile(export_all).

%% example-start base base.c

-include("../include/gtk.hrl").
-include("../include/gnome.hrl").

run() ->
    gtk:start(),
    spawn_link(?MODULE, main, []).

main( ) ->
    Window = gtk:window_new ('GTK_WINDOW_TOPLEVEL'),
    gtk:container_set_border_width(Window, 10),
    Box1 = gtk:hbox_new(false, 0),
    gtk:container_add(Window, Box1),

    B1 = gnome_stock:button(?GNOME_STOCK_BUTTON_OK),
    B2 = gnome_stock:button(?GNOME_STOCK_BUTTON_CANCEL),
    B3 = gnome_stock:button(?GNOME_STOCK_BUTTON_YES),
    B4 = gnome_stock:button(?GNOME_STOCK_BUTTON_NO),
    B5 = gnome_stock:button(?GNOME_STOCK_BUTTON_CLOSE),
    B6 = gnome_stock:button(?GNOME_STOCK_BUTTON_APPLY),
    B7 = gnome_stock:button(?GNOME_STOCK_BUTTON_HELP),

    gtk:widget_show(B1),
    gtk:widget_show(B2),
    gtk:widget_show(B3),
    gtk:widget_show(B4),
    gtk:widget_show(B5),
    gtk:widget_show(B6),
    gtk:widget_show(B7),
    
    gtk:box_pack_start(Box1, B1, true, true, 0),
    gtk:box_pack_start(Box1, B2, true, true, 0),
    gtk:box_pack_start(Box1, B3, true, true, 0),
    gtk:box_pack_start(Box1, B4, true, true, 0),
    gtk:box_pack_start(Box1, B5, true, true, 0),
    gtk:box_pack_start(Box1, B6, true, true, 0),
    gtk:box_pack_start(Box1, B7, true, true, 0),

    gtk:widget_show(Box1),    

    gtk:widget_show  (Window),
    gtk:main ().

%% example-end 
