-module(helloworld).

-compile(export_all).


hello(Window, _Data) ->
    io:format("Hello world\n").

delete_event(Window, Event, Data) ->
    io:format("delete event occured\n"),
    false. %% change to true if window is supposed to remain forever

destroy(Window, _Data) ->
    io:format("quit\n"),
    gtk:main_quit().

run() ->
    gtk:start(),
    spawn_link(?MODULE, main, []).

main() ->
    Window = gtk:window_new('GTK_WINDOW_TOPLEVEL'),

    gtk:signal_connect(Window, 'delete_event',fun delete_event/3, []),

    gtk:signal_connect(Window, 'destroy', fun destroy/2, []),

    gtk:container_set_border_width(Window, 10),
    
    Button = gtk:button_new_with_label("Hello world"),

    gtk:signal_connect(Button, 'clicked', fun hello/2, []),
    
    gtk:container_add(Window, Button),
    gtk:widget_show(Button),
    gtk:widget_show(Window),
    gtk:main().




    

    
