%%% File    : wheelbarrow.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Purpose : wheelbarrow example
%%% Created : 30 Nov 2000 by Tony Rogvall <tony@bit.hemma.se>

-module(wheelbarrow).
-author('tony@bit.hemma.se').

-compile(export_all).
-include("../include/gtk.hrl").
-include("../include/gdk.hrl").

%% XPM */
wheelbarrowFull_xpm() ->
{
"48 48 64 1\0",
"       c None\0",
".      c #DF7DCF3CC71B\0",
"X      c #965875D669A6\0",
"o      c #71C671C671C6\0",
"O      c #A699A289A699\0",
"+      c #965892489658\0",
"@      c #8E38410330C2\0",
"#      c #D75C7DF769A6\0",
"$      c #F7DECF3CC71B\0",
"%      c #96588A288E38\0",
"&      c #A69992489E79\0",
"*      c #8E3886178E38\0",
"=      c #104008200820\0",
"-      c #596510401040\0",
";      c #C71B30C230C2\0",
":      c #C71B9A699658\0",
">      c #618561856185\0",
",      c #20811C712081\0",
"<      c #104000000000\0",
"1      c #861720812081\0",
"2      c #DF7D4D344103\0",
"3      c #79E769A671C6\0",
"4      c #861782078617\0",
"5      c #41033CF34103\0",
"6      c #000000000000\0",
"7      c #49241C711040\0",
"8      c #492445144924\0",
"9      c #082008200820\0",
"0      c #69A618611861\0",
"q      c #B6DA71C65144\0",
"w      c #410330C238E3\0",
"e      c #CF3CBAEAB6DA\0",
"r      c #71C6451430C2\0",
"t      c #EFBEDB6CD75C\0",
"y      c #28A208200820\0",
"u      c #186110401040\0",
"i      c #596528A21861\0",
"p      c #71C661855965\0",
"a      c #A69996589658\0",
"s      c #30C228A230C2\0",
"d      c #BEFBA289AEBA\0",
"f      c #596545145144\0",
"g      c #30C230C230C2\0",
"h      c #8E3882078617\0",
"j      c #208118612081\0",
"k      c #38E30C300820\0",
"l      c #30C2208128A2\0",
"z      c #38E328A238E3\0",
"x      c #514438E34924\0",
"c      c #618555555965\0",
"v      c #30C2208130C2\0",
"b      c #38E328A230C2\0",
"n      c #28A228A228A2\0",
"m      c #41032CB228A2\0",
"M      c #104010401040\0",
"N      c #492438E34103\0",
"B      c #28A2208128A2\0",
"V      c #A699596538E3\0",
"C      c #30C21C711040\0",
"Z      c #30C218611040\0",
"A      c #965865955965\0",
"S      c #618534D32081\0",
"D      c #38E31C711040\0",
"F      c #082000000820\0",
"                                                \0",
"          .XoO                                  \0",
"         +@#$%o&                                \0",
"         *=-;#::o+                              \0",
"           >,<12#:34                            \0",
"             45671#:X3                          \0",
"               +89<02qwo                        \0",
"e*                >,67;ro                       \0",
"ty>                 459@>+&&                    \0",
"$2u+                  ><ipas8*                  \0",
"%$;=*                *3:.Xa.dfg>                \0",
"Oh$;ya             *3d.a8j,Xe.d3g8+             \0",
" Oh$;ka          *3d$a8lz,,xxc:.e3g54           \0",
"  Oh$;kO       *pd$%svbzz,sxxxxfX..&wn>         \0",
"   Oh$@mO    *3dthwlsslszjzxxxxxxx3:td8M4       \0",
"    Oh$@g& *3d$XNlvvvlllm,mNwxxxxxxxfa.:,B*     \0",
"     Oh$@,Od.czlllllzlmmqV@V#V@fxxxxxxxf:%j5&   \0",
"      Oh$1hd5lllslllCCZrV#r#:#2AxxxxxxxxxcdwM*  \0",
"       OXq6c.%8vvvllZZiqqApA:mq:Xxcpcxxxxxfdc9* \0",
"        2r<6gde3bllZZrVi7S@SV77A::qApxxxxxxfdcM \0",
"        :,q-6MN.dfmZZrrSS:#riirDSAX@Af5xxxxxfevo\0",
"         +A26jguXtAZZZC7iDiCCrVVii7Cmmmxxxxxx%3g\0",
"          *#16jszN..3DZZZZrCVSA2rZrV7Dmmwxxxx&en\0",
"           p2yFvzssXe:fCZZCiiD7iiZDiDSSZwwxx8e*>\0",
"           OA1<jzxwwc:$d%NDZZZZCCCZCCZZCmxxfd.B \0",
"            3206Bwxxszx%et.eaAp77m77mmmf3&eeeg* \0",
"             @26MvzxNzvlbwfpdettttttttttt.c,n&  \0",
"             *;16=lsNwwNwgsvslbwwvccc3pcfu<o    \0",
"              p;<69BvwwsszslllbBlllllllu<5+     \0",
"              OS0y6FBlvvvzvzss,u=Blllj=54       \0",
"               c1-699Blvlllllu7k96MMMg4         \0",
"               *10y8n6FjvllllB<166668           \0",
"                S-kg+>666<M<996-y6n<8*          \0",
"                p71=4 m69996kD8Z-66698&&        \0",
"                &i0ycm6n4 ogk17,0<6666g         \0",
"                 N-k-<>     >=01-kuu666>        \0",
"                 ,6ky&      &46-10ul,66,        \0",
"                 Ou0<>       o66y<ulw<66&       \0",
"                  *kk5       >66By7=xu664       \0",
"                   <<M4      466lj<Mxu66o       \0",
"                   *>>       +66uv,zN666*       \0",
"                              566,xxj669        \0",
"                              4666FF666>        \0",
"                               >966666M         \0",
"                                oM6668+         \0",
"                                  *4            \0",
"                                                \0",
"                                                \0" }.


%% when invoked (via signal delete_event), terminates the application.
%%
close_application(Widget, Event, Data) ->
    gtk:main_quit().

run() ->
    gtk:start(),
    spawn_link(?MODULE, main, []).

main () ->
    Window = gtk:window_new( 'GTK_WINDOW_POPUP' ),
    main(Window).


main (Window) ->
    %% Create the main window, and attach delete_event signal to terminate
    %% the application.  Note that the main window will not have a titlebar
    %% since we're making it a popup. */

    gtk:signal_connect(Window, 'delete_event',
		       fun close_application/3, []),
    gtk:widget_show (Window),

    %% Now for the pixmap and the pixmap widget 
    Style = gtk:widget_get_default_style(),
    BgColor = gtk:style_get_bg(Style, 'GTK_STATE_NORMAL'),
    %% gc = style->black_gc;
    GdkWindow = gtk:widget_get_window(Window),

    {Gdk_pixmap,Mask} = gdk:pixmap_create_from_xpm_d(GdkWindow,
						     BgColor,
						     wheelbarrowFull_xpm() ),
    Pixmap = gtk:pixmap_new( Gdk_pixmap, Mask ),
    gtk:widget_show( Pixmap ),

    %% To display the pixmap, we use a fixed widget to place the pixmap 
    Fixed = gtk:fixed_new(),
    gtk:widget_set_usize( Fixed, 200, 200 ),
    gtk:fixed_put(Fixed, Pixmap, 0, 0 ),
    gtk:container_add( Window, Fixed ),
    gtk:widget_show( Fixed ),

    %% This masks out everything except for the image itself */
    gtk:widget_shape_combine_mask(Window, Mask, 0, 0),
    
    %% show the window 
    gtk:widget_set_uposition( Window, 20, 400 ),
    gtk:widget_show( Window ),
    gtk:main (),
    0.

%% example-end */


