
module gtk_gl_area;

#include <gtkgl/gtkglarea.h>
#include "../gtkgl/gdrv_gl_area.h"

typedef GtkObject GtkGLArea;

typedef unsigned int  GLuint;

new GtkWidget* gtk_gl_area_new        (int       *attrList);
new GtkWidget* gtk_gl_area_share_new  (int       *attrList, GtkGLArea *share);

gint       gtk_gl_area_make_current(GtkGLArea *glarea);

void       gtk_gl_area_swap_buffers(GtkGLArea *glarea);

void       gtk_gl_area_get_pick_buf(GtkGLArea* glarea, out GLuint* buf) =
    gdrv_gtk_gl_area_get_pick_buf;

void       gtk_gl_area_set_pick_buf(GtkGLArea* glarea) =
    gdrv_gtk_gl_area_set_pick_buf;

void       gtk_gl_area_new_pick_buf(GtkGLArea* glarea, int size) =
    gdrv_gtk_gl_area_new_pick_buf;

