%%% File    : gdk.erl
%%% Author  : Tony Rogvall <tony@bit.hemma.se>
%%% Description : GDK interface
%%% Created : 28 Nov 2000 by Tony Rogvall <tony@bit.hemma.se>

-module(gdk).

-compile(export_all).

-include("../include/gdk.hrl").

%% Wrapper for gdk calls
fcall(Mod, Fun, Args) ->
    gtk:fcall(Mod, Fun, Args).

fnew(Mod, Fun, Args) ->
    gtk:fnew(Mod, Fun, Args).

%% Enum wrapper
enum(Type, Enum) ->
    gtk:enum(Type, Enum).

flags(Type, Enum) ->
    gtk:flags(Type, Enum).


-include("../priv/src/gdk.inc").




